﻿(function (app) {
    app.factory('myService', ['$http', 'config', "util", 'data', function ($http, config, util, data) {
        return {
            //我的车辆信息
            listTrucks: function (model) {
                return $http({
                    url: config.server + 'api/user/trucks',
                    method: "get"
                })
            },
            //添加车辆
            addTruck: function (model) {
                return $http({
                    url: config.server + 'api/trucks',
                    method: "post",
                    data: model
                })
            },
            listMessages: function () {
                return $http({
                    url: config.server + 'api/user/messages',
                    method: "get"
                })
            },
            listOrders: function () {
                return $http({
                    url: config.server + 'api/user/orders',
                    method: "get"
                })
            }
        };
    }]);
})(angular.module('app.services'));