﻿(function (module) {
    module.filter('gender', function () {

        return function (input) {

            switch (input) {
                case 0:
                    return "女";
                case 1:
                    return "男";
                default:
                    return "";
            }
        };
    });
    module.filter('trustHtml', ['$sce', function ($sce) {
        return function (html) {
            return $sce.trustAsHtml(html);
        };
    }]);
    module.filter('trustUrl', ['$sce', function ($sce) {
        return function (url) {
            return $sce.trustAsResourceUrl(url);
        };
    }]);
    module.filter('avator', function () {
        return function (input) {
            if (!input || input.length === 0) {
                return "img/photo_default_turquoise.jpg";
            }
            return input;
        };
    });
 
})(angular.module('app.filters'));